Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class JBOField

    java.lang.Object
      |
      +--oracle.jbo.jbotester.JBOField

Direct Known Subclasses:
  RowsetTextArea, RowsetTextField

public abstract class JBOField
extends java.lang.Object

Field Summary
`protected AttributeDef` | `attrDef`
`protected boolean` | `inRefresh`
`protected Row` | `row`
`static java.awt.event.ActionListener` | `UpdateActionListener`

Constructor Summary
`JBOField(AttributeDef attDef)`

Method Summary
`boolean` | `applyEdit()`
`AttributeDef` | `getAttributeDef()`
`abstract java.lang.Object` | `getControlValue()`
`java.lang.Object` | `getDataValue()`
`abstract javax.swing.JComponent` | `getJComponent()`
`protected void` | `init()`
`protected void` | `refresh()`
`abstract void` | `setControlValue(java.lang.Object value)`
`boolean` | `setDataValue(java.lang.Object value)`
`void` | `setRow(Row newRowBinding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attrDef

    protected AttributeDef attrDef

### row

    protected Row row

### inRefresh

    protected boolean inRefresh

### UpdateActionListener

    public static final java.awt.event.ActionListener UpdateActionListener

Constructor Detail

### JBOField

    public JBOField(AttributeDef attDef)

Method Detail

### init

    protected void init()

### setRow

    public void setRow(Row newRowBinding)

### getAttributeDef

    public AttributeDef getAttributeDef()

### getDataValue

    public java.lang.Object getDataValue()

### setDataValue

    public boolean setDataValue(java.lang.Object value)

### getControlValue

    public abstract java.lang.Object getControlValue()

### setControlValue

    public abstract void setControlValue(java.lang.Object value)

### getJComponent

    public abstract javax.swing.JComponent getJComponent()

### applyEdit

    public boolean applyEdit()

### refresh

    protected void refresh()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD